ECHO OFF
CLS
IF "%2"=="" GOTO USAGE
for %%f in (BIB,Bib,bib,LANG,Lang,lang,GREEK,Greek,greek) do if %%f==%1 goto ok1
for %%f in (BIBLAN,Biblan,biblan,BibLan,BIBlan) do if %%f==%1 goto ok1
for %%f in (BIBGRK,Bibgrk,bibgrk,BibGrk,GrkLan) do if %%f==%1 goto ok1
for %%f in (GRKLAN,Grklan,grklan,All,all,ALL) do if %%f==%1 goto ok1
GOTO USAGE
:OK1
ECHO DOWNLOADING ...
FOR %%F IN (I,i,E,e,P,p) DO IF %%F == %2 GOTO %2

:USAGE
ECHO                 *** NOTE ***
ECHO 
ECHO You must have at least one 256K RAM cartridge or two 128K RAM cartridges
ECHO installed in your DeskJet printer. 
ECHO 
ECHO On a floppy system, the "PRINTER FONTS" disk must be inserted 
ECHO 
PAUSE
ECHO                  Instructions for Downloading
ECHO 
ECHO Before printing a ChiWriter document, you must download the ChiWriter
ECHO fonts into the printer. To do this, type 
ECHO 
ECHO      DOWNLOAD (set) (options) [Return]
ECHO 
ECHO Set:    LANG: (Hebrew, Mod-Hebrew, Greek, Arabic1, Arabic2)
ECHO         BIB: (Hebrew, HebrewPs, Greek, Gothic, Symbol)
ECHO         GREEK: (Gr-12pt, Gr-bold, Gr-ital, Gr-itbld, Gr-small, Gr-oratr)
ECHO         BIBLAN: both BIB and LANG fonts
ECHO         BIBGRK: both BIB and GREEK fonts
ECHO         GRKLAN: both GREEK and LANG fonts
ECHO         ALL: All fonts
ECHO 
ECHO Options:  I - download pIca fonts
ECHO           E - download Elite fonts
ECHO           P - download Proportional fonts
ECHO           5 - printer is DeskJet 500 or above
ECHO 
ECHO Examples:  DOWNLOAD BIB I   -  download the pica fonts
ECHO            DOWNLOAD LANG P 5 - download proportional fonts into a DeskJet 500
ECHO 
GOTO END

:I
FOR %%F IN (IITALIC,ILINEDRA,ORATOR,SCRIPT) DO COPY/B %%F.H?D PRN:
GOTO I%1
:IBIB
:IBIBLAN
:IBIBGRK
FOR %%F IN (GOTHIC,IHEBREW,IHEBREWP,ISYMBOL,IGREEK) DO COPY/B %%F.H?D PRN:
GOTO I%1Z
:IGREEK
:IGRKLAN
:IBIBGRKZ
:IALL
FOR %%F IN (IGR-12PT,IGR-BOLD,IGR-ITAL,IGR-ITBLD) DO COPY/B %%F.H?D PRN:
FOR %%F IN (GR-SMALL,GR-ORATR) DO COPY/B %%F.H?D PRN:
GOTO I%1X
:ILANG
:IGRKLANX
FOR %%F IN (IHEBREW,IMODHEB,IGREEK,IARABIC1,IARABIC2) DO COPY/B %%F.H?D PRN:
GOTO END
:IALLX
FOR %%F IN (GOTHIC,IHEBREW,IHEBREWP,IGREEK,ISYMBOL) DO COPY/B %%F.H?D PRN:
:IBIBLANZ
FOR %%F IN (IMODHEB,IARABIC1,IARABIC2) DO COPY/B %%F.H?D PRN:
:IBIBZ
:IBIBGRKX
:IGREEKX
:IGRKLANZ
GOTO END


:E
FOR %%F IN (ESTANDAR,EBOLD,EITALIC) DO COPY/B %%F.H?D PRN:
FOR %%F IN (LINEDRAW,ORATOR,SCRIPT,SMALL,EFOREIGN) DO COPY/B %%F.H?D PRN:
GOTO E%1
:EBIB
:EBIBLAN
:EBIBGRK
FOR %%F IN (GOTHIC,HEBREW,HEBREWPS,EGREEK,SYMBOL) DO COPY/B %%F.H?D PRN:
GOTO E%1Z
:EGREEK
:EGRKLAN
:EBIBGRKZ
:EALL
FOR %%F IN (GR-12PT,GR-BOLD,GR-ITAL,GR-ITBLD) DO COPY/B %%F.H?D PRN:
FOR %%F IN (GR-SMALL,GR-ORATR) DO COPY/B %%F.H?D PRN:
GOTO E%1X
:ELANG
:EGRKLANX
FOR %%F IN (HEBREW,MODHEB,ARABIC1,ARABIC2,EGREEK) DO COPY/B %%F.H?D PRN:
GOTO END
:EALLX
FOR %%F IN (GOTHIC,HEBREW,HEBREWPS,EGREEK,SYMBOL) DO COPY/B %%F.H?D PRN:
:EBIBLANZ
FOR %%F IN (MODHEB,ARABIC1,ARABIC2) DO COPY/B %%F.H?D PRN:
:EBIBZ
:EBIBGRKX
:EGREEKX
:EGRKLANZ
GOTO END

:P
IF NOT "%3"=="5" FOR %%F IN (PSTANDAR,PBOLD,PITALIC) DO COPY/B %%F.H?D PRN:
FOR %%F IN (LINEDRAW,ORATOR,SCRIPT,PSMALL,PFOREIGN) DO COPY/B %%F.H?D PRN:
GOTO P%1
:PBIB
:PBIBLAN
:PBIBGRK
FOR %%F IN (GOTHIC,HEBREW,HEBREWPS,PGREEK,SYMBOL) DO COPY/B %%F.H?D PRN:
GOTO P%1Z
:PGREEK
:PGRKLAN
:PBIBGRKZ
:PALL
FOR %%F IN (GR-12PT,GR-BOLD,GR-ITAL,GR-ITBLD) DO COPY/B %%F.H?D PRN:
FOR %%F IN (GR-SMALL,GR-ORATR) DO COPY/B %%F.H?D PRN:
GOTO P%1X
:PLANG
:PGRKLANX
FOR %%F IN (HEBREW,MODHEB,PGREEK,ARABIC1,ARABIC2) DO COPY/B %%F.H?D PRN:
GOTO END
:PALLX
FOR %%F IN (GOTHIC,HEBREW,HEBREWPS,PGREEK,SYMBOL) DO COPY/B %%F.H?D PRN:
:PBIBLANZ
FOR %%F IN (MODHEB,ARABIC1,ARABIC2) DO COPY/B %%F.H?D PRN:
:PBIBZ
:PBIBGRKX
:PGREEKX
:PGRKLANZ
GOTO END

:END
